Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.auth
Class NumericCredential

    java.lang.Object
      com.ibm.security.auth.NumericCredential

    public class NumericCredential

extends java.lang.Object

This class abstracts an NT security token and provides a mechanism to do same-process security impersonation.

Author:
  D. Kent Soper

Constructor Summary
`NumericCredential(long token, Win64ActiveSystem activeSystem)` Create an `NumericCredential` with a long value.
`NumericCredential(long token, Win64System system)` Create an `NumericCredential` with a long value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Compares the specified Object with this `NumericCredential` for equality.
`long` | `getToken()` Return a long representation of this `NumericCredential`.
`int` | `hashCode()` Return a hash code for this `NumericCredential`.
`java.lang.String` | `toString()` Return a string representation of this `NumericCredential`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NumericCredential

    public NumericCredential(long token,
                             Win64ActiveSystem activeSystem)

  Create an `NumericCredential` with a long value.

  Parameters:
    `token` - the Windows NT security token for this user.

    `activeSystem` - the Win64ActiveSystem reference

### NumericCredential

    public NumericCredential(long token,
                             Win64System system)

  Create an `NumericCredential` with a long value.

  Parameters:
    `token` - the Windows NT security token for this user.

    `system` - the Win64System reference

Method Detail

### getToken

    public long getToken()

  Return a long representation of this `NumericCredential`.

  Returns:
    a long representation of this `NumericCredential`.

### toString

    public java.lang.String toString()

  Return a string representation of this `NumericCredential`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this `NumericCredential`.

### equals

    public boolean equals(java.lang.Object o)

  Compares the specified Object with this `NumericCredential` for equality. Returns true if the given object is also a `NumericCredential` and the two NumericCredentials represent the same NT security token.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - Object to be compared for equality with this `NumericCredential`.
  Returns:
    true if the specified Object is equal equal to this `NumericCredential`.

### hashCode

    public int hashCode()

  Return a hash code for this `NumericCredential`.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code for this `NumericCredential`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD